Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 58848 - SJS App Server is not installed on Mac OSX with bundle when JDK 1.5 is selected
SJS App Server is not installed on Mac OSX with bundle when JDK 1.5 is selected
Status: CLOSED FIXED
Product: installer
Classification: Unclassified
Component: Tools bundle
4.x
Macintosh Mac OS X
: P2 with 1 vote (vote)
: 5.x
Assigned To: mslama
issues@installer
: RELNOTE
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-05-12 22:18 UTC by jpvasquez
Modified: 2006-03-24 12:51 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description jpvasquez 2005-05-12 22:18:15 UTC
OS:  OSX 10.4
JDK: 1.5.0_02

Just downloaded the 4.1 final release bundle for OSX with SJAS.  Stepped through
the installer with no trouble.  I chose an alternate install path, but that
didn't seem to be a problem.  The installer summary page indicated:

NetBeans IDE 4.1 installation location:
/Applications/Development/NetBeans4.1.app

Sun Java System Application Server 8.1_01 installation location:
/Applications/Development/NetBeans4.1.app/Contents/Resources/NetBeans/SunAppServer8.1

The problem is, the SunAppServer8.1 directory does not exist.  The rest of the
installation was fine and worked with no difficulty, just no SJAS.

-jason
Comment 1 Michal Mocnak 2005-05-13 09:15:31 UTC
Please send the installation logs (it is in the nb/_uninst dir) and list of your
NetBeans4.1.app directory structure. Thanks
Comment 2 mslama 2005-05-13 09:15:41 UTC
We did not test asbundle installer with Tiger. Could you check as-install.log
file? It could contain error message from SJSAS installer.I just checked shell
script used to install SJSAS and it seems it runs only on Darwin not on Tiger.
There is explicit check at start. I will ask people from SJSAS.
Comment 3 jpvasquez 2005-05-13 12:34:57 UTC
Ah ok -- I think this fairly clearly states the problem.  From as-install.log:

(Fri May 13 06:29:50 EST 2005) Installing Appserver...
Executing the following command:
/Applications/Development/NetBeans4.1.app/_uninst/as_setup/setup -javahome /System/Library/
Frameworks/JavaVM.framework/Versions/1.5.0/Home -silent /Applications/Development/
NetBeans4.1.app/_uninst/as_setup/statefile
Java Version Invalid, required version is 1.4.x. Please rerun with -javahome <valid jdk directory>
exitcode = 0
(Fri May 13 06:29:51 EST 2005) Finished Installing Appserver8... 


Does SJAS truly not work with Java5?
Comment 4 _ ttran 2005-05-20 21:02:18 UTC
this isn't good.  At the very least the installer should warn the user and let
him choose a different JDK.  It's perfectly possible to have the IDE running on
JDK 5 and App server on JDK 1.4.2
Comment 5 mslama 2005-05-31 15:09:11 UTC
SJS AS installer does not run/support JDK 1.5 on Mac OS X.

Solution could be for Mac OS X: 
1.Message in JDK selection panel should explicitely say used needs JDK 1.4.2 not
JDK 1.5 to install SJS AS. Without it installation will not continue.
2.List box containing available JDKs will show only JDK 1.4.2 not JDK 1.5.
3.Version of selected JDK must be verified (in case user selects JDK using
Browse button).
Comment 6 mslama 2005-06-02 10:58:35 UTC
Fixed in main trunk as suggested above. As JDKSelection Panel is shared among
installers and we need specific behavior just for asbundle installer I had to
add code to distinguish type of installer.

Note: How do you run installer on JDK 1.5? If I upgrade to Mac OS X 10.4 JDK
1.4.2 is still current JDK (ie. if you run installer either from command line or
from Finder it runs on current JDK). JDK 1.4.2 stays current JDK even after I
installed JDK 1.5. Just curious how did you changed current JDK? (JDK customizer
changed default JDK for applets and JNLP applications.)

Modified:
/cvs/installer/asbundle/scripts/as-macosx-install.template
new revision: 1.4; previous revision: 1.3

/cvs/installer/asbundle/src/org/netbeans/installer/Bundle.properties
new revision: 1.21; previous revision: 1.20

/cvs/installer/asbundle/src/org/netbeans/installer/SetSystemPropertiesAction.java
new revision: 1.8; previous revision: 1.7

/cvs/installer/coreide/src/org/netbeans/installer/SetSystemPropertiesAction.java
new revision: 1.7; previous revision: 1.6

/cvs/installer/jdkbundle/src/org/netbeans/installer/SetSystemPropertiesAction.java
new revision: 1.12; previous revision: 1.11

/cvs/installer/lib/src/org/netbeans/installer/JDKInfo.java
new revision: 1.3; previous revision: 1.2

/cvs/installer/lib/src/org/netbeans/installer/JDKSearchAction.java
new revision: 1.5; previous revision: 1.4

/cvs/installer/lib/src/org/netbeans/installer/JDKSelectionPanel.java
new revision: 1.2; previous revision: 1.1

/cvs/installer/lib/src/org/netbeans/installer/JDKVersion.java
new revision: 1.3; previous revision: 1.2

/cvs/installer/lib/src/org/netbeans/installer/Names.java
new revision: 1.6; previous revision: 1.5

/cvs/installer/lib/src/org/netbeans/installer/Util.java
new revision: 1.6; previous revision: 1.5
Comment 7 mslama 2005-06-02 11:26:44 UTC
Fix is backported to branch 'release41':
/cvs/installer/asbundle/scripts/as-macosx-install.template
new revision: 1.2.6.1; previous revision: 1.2

/cvs/installer/asbundle/src/org/netbeans/installer/Bundle.properties
new revision: 1.18.2.5; previous revision: 1.18.2.4

/cvs/installer/asbundle/src/org/netbeans/installer/SetSystemPropertiesAction.java
new revision: 1.5.4.1; previous revision: 1.5

/cvs/installer/coreide/src/org/netbeans/installer/SetSystemPropertiesAction.java
new revision: 1.2.4.1; previous revision: 1.2

/cvs/installer/jdkbundle/src/org/netbeans/installer/SetSystemPropertiesAction.java
new revision: 1.9.4.1; previous revision: 1.9

/cvs/installer/lib/src/org/netbeans/installer/JDKInfo.java
new revision: 1.2.6.1; previous revision: 1.2

/cvs/installer/lib/src/org/netbeans/installer/JDKSearchAction.java
new revision: 1.4.4.1; previous revision: 1.4

/cvs/installer/lib/src/org/netbeans/installer/JDKSelectionPanel.java
new revision: 1.1.18.1; previous revision: 1.1

/cvs/installer/lib/src/org/netbeans/installer/JDKVersion.java
new revision: 1.2.6.1; previous revision: 1.2

/cvs/installer/lib/src/org/netbeans/installer/Names.java
new revision: 1.6.2.1; previous revision: 1.6

/cvs/installer/lib/src/org/netbeans/installer/Util.java
new revision: 1.5.2.1; previous revision: 1.5
Comment 8 Michal Mocnak 2005-07-11 10:12:34 UTC
Verified in nb4.2 build 200507061800


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo